*1ο Μοντέλο με τα ΔWC-CFO1t-CFot-CFOt1*
sort name
quietly by name: gen dup=cond(_N==1,0,_n)
drop if dup>1
gen id=_n
reshape long ta af netsal longdeb netinc marketcap comeq auditor big4 rot , i(id) j(year)
sort id year
xtset id year

generate BIG4 = (big4==1)
label define bigg 0 "nonbig" 1 "big4"
label values BIG4 bigg
tab BIG4 big4, nolabel

gen LNFEES = log(af)
gen LNASSETS = log(ta)
gen ROA = (netinc/ta)
gen TOBIN = (marketcap/ta)
gen LEV = (longdeb/ta)
gen netsalt1 = F1.netsal
gen netsal1t = L1.netsal
gen SG= (netsal-netsal1t)/netsal1t
gen CI= ta/netsal
sort id 

tabstat af LNFEES LNASSETS ta ROA TOBIN LEV SG if BIG4==1 , stat(sd median max min)

summarize af LNFEES LNASSETS ta ROA TOBIN LEV SG BIG4 ta CI if BIG4==1
summarize af LNFEES LNASSETS ta ROA TOBIN LEV SG BIG4 ta CI if BIG4==0
summarize af LNFEES LNASSETS ta ROA TOBIN LEV SG BIG4 ta CI

histogram LNFEES ,frequency normal
histogram LNASSETS, frequency normal
histogram ROA, frequency normal
histogram TOBIN, frequency normal
histogram LEV, frequency normal
histogram SG, frequency normal

pwcorr ROA TOBIN LNFEES LNASSETS SG LEV BIG4, sig star(.05)

sort year

reg ROA LNFEES LNASSETS LEV SG CI, robust
reg ROA i.BIG4 LNASSETS LEV SG CI, robust


reg TOBIN LNFEES LNASSETS LEV SG CI, robust
reg TOBIN i.BIG4 LNASSETS LEV SG CI, robust

*ΤΕΛΟΣΣΣΣΣΣ***

*---*


